com.jogamp.newt.event

## Interface WindowListener

- All Superinterfaces:
    EventListener, NEWTEventListener
  All Known Implementing Classes:
    TraceWindowAdapter, WindowAdapter

      public interface WindowListener
      extends NEWTEventListener

  NEWT `WindowEvent` listener.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `windowDestroyed(WindowEvent e)` Window has been destroyed.
    `void` | `windowDestroyNotify(WindowEvent e)` Window destruction has been requested.
    `void` | `windowGainedFocus(WindowEvent e)` Window gained focus.
    `void` | `windowLostFocus(WindowEvent e)` Window lost focus.
    `void` | `windowMoved(WindowEvent e)` Window has been moved.
    `void` | `windowRepaint(WindowUpdateEvent e)` Window area shall be repainted.
    `void` | `windowResized(WindowEvent e)` Window is resized, your application shall respect the new window dimension.

- - ### Method Detail

    - #### windowResized

          void windowResized(WindowEvent e)

      Window is resized, your application shall respect the new window dimension. A repaint is recommended.

    - #### windowMoved

          void windowMoved(WindowEvent e)

      Window has been moved.

    - #### windowDestroyNotify

          void windowDestroyNotify(WindowEvent e)

      Window destruction has been requested.

      Depending on the `default close operation`, the window maybe destroyed or not.

      In case the window will be destroyed (see above), release of resources is recommended.

    - #### windowDestroyed

          void windowDestroyed(WindowEvent e)

      Window has been destroyed.

    - #### windowGainedFocus

          void windowGainedFocus(WindowEvent e)

      Window gained focus.

    - #### windowLostFocus

          void windowLostFocus(WindowEvent e)

      Window lost focus.

    - #### windowRepaint

          void windowRepaint(WindowUpdateEvent e)

      Window area shall be repainted.

Copyright 2010 JogAmp Community.